模板X

位置: 破奇网  杰奇cms  杰奇cms教程

杰奇1.7模板和杰奇1.8的模板能通用吗?

栏目: 杰奇cms教程    更新: 2019-09-05    浏览:
不同的杰奇程序版本对应不同的杰奇模板,杰奇1.7的模板不能直接在杰奇1.8的程序上使用,即使他们“差不多”。

杰奇1.7和杰奇1.8的模板主要区别如下:

1、目录页的章节列表循环不同,杰奇1.8的章节列表提供更多的选项,这也是关关采集适配模板的最主要位置,此处没搞对将采集不了。

2、某些模板变量不一样,例如在杰奇1.7的分类页中uptime是时间标签,在杰奇1.8模板中是lastupdate 。

3、杰奇1.7和杰奇1.8的模板区块不一样,因为两个版本的数据库发生了改变,所以导致区块改变,如果想要把杰奇1.7的模板改成1.8,则需要重建区块。

4、分类文件sort.php不一样,在杰奇1.8中分类sort.php里面可以设置分类拼音,而杰奇1.7不行,该文件不同通用。

以上就是杰奇1.7和杰奇1.8模板能否通用的最主要区别,在修改模板的时候需要留意。

 

附件下载 [ 下载次数:999 ]

    收藏、推荐